Bug 800580 - 4.3 db upgrade failing if existing db does not have RHQ_DRIFT_TEMPLATE_MAP table
4.3 db upgrade failing if existing db does not have RHQ_DRIFT_TEMPLATE_MAP table
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Database (Show other bugs)
4.2
All All
urgent Severity urgent (vote)
: ---
: RHQ 4.4.0
Assigned To: Jay Shaughnessy
Mike Foley
:
Depends On:
Blocks: jon310-sprint11/rhq44-sprint11 800605
  Show dependency treegraph
 
Reported: 2012-03-06 13:42 EST by Jay Shaughnessy
Modified: 2013-09-01 06:02 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 800605 (view as bug list)
Environment:
Last Closed: 2013-09-01 06:02:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jay Shaughnessy 2012-03-06 13:42:49 EST
Depending on the origin of the existing db it may or may not
include the RHQ_DRIFT_TEMPLATE_MAP table.  The upgrade tries to
remove this obsolete table.

But it seems that the <schema-dropTable> command fails if the
table does not exist.
Comment 1 Jay Shaughnessy 2012-03-06 13:55:08 EST
As a note, my failure case was an upgrade from 4.2 to 4.3.
Comment 2 Jay Shaughnessy 2012-03-06 13:57:54 EST
In master I recommend we make the dropTable command more tolerant, or allow
an attribute to ignoreError.

Also, the unit tests need to be checked to figure out why this wasn't detected.
Comment 3 Jay Shaughnessy 2012-03-07 09:25:24 EST
Relevant master commit: 7ade8f5748a0f973dd684be12aa7bdf1c75e1f57

- Add obsolete=true to RHQ_DRIFT_TEMPLATE_MAP. Instead of getting
  deleted it's potentialy getting created.
Comment 4 Jay Shaughnessy 2012-03-15 16:23:46 EDT
Master commit: c5bd48824409d53a08536b9f4c93271e755d0619

The dropTable SST command did not honor ignoreError="true" and
would kill the upgrade step if the table did not exist. This
fixes that issue.
Comment 5 Heiko W. Rupp 2013-09-01 06:02:28 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.